aboutsummaryrefslogtreecommitdiffstats
path: root/lfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lfs.sh')
-rwxr-xr-xlfs.sh29
1 files changed, 26 insertions, 3 deletions
diff --git a/lfs.sh b/lfs.sh
index 7002255..ca57b74 100755
--- a/lfs.sh
+++ b/lfs.sh
@@ -1,5 +1,4 @@
#!/bin/bash
-
set -u
clear
@@ -99,7 +98,7 @@ esac
printf "%b" "${GRN}Copying required files to ${YLW}${LFS}/sources \
${GRN}target directory${RST}... "
-if ! cp -rf ./*.sh chapter* ./*.csv "${LFS}/sources"; then
+if ! cp -rf ./*.sh chapter* ./*.csv kernelconfig "${LFS}/sources"; then
fail "FAILED!"
else
success "OK"
@@ -232,7 +231,7 @@ sleep 3
# Create chapter9 log directory as non root user
mkdir -p "${LFS}"/sources/log/chapter9
-# Enter CHROOT for chapter 9,10
+# Enter CHROOT for chapter 9
sudo chroot "${LFS}" /usr/bin/env -i \
HOME=/root \
TERM="${TERM}" \
@@ -247,3 +246,27 @@ retval=$?
printf "%b" "\n${CYN}EXITED ${RED}CHROOT${RST} ENVIRONMENT...${RST}\n"
+printf "%b" "\n${CYN}ENTERING ${RED}CHROOT${CYN} ENVIRONMENT...${RST}\n"
+sleep 3
+
+# Create chapter10 log directory as non root user
+mkdir -p "${LFS}"/sources/log/chapter10
+
+# Enter CHROOT for chapter 10
+sudo chroot "${LFS}" /usr/bin/env -i \
+ HOME=/root \
+ TERM="${TERM}" \
+ PS1='(lfs chroot) \u:\w\$ ' \
+ PATH=/bin:/usr/bin:/sbin:/usr/sbin \
+ NUMPROCS="${NUMPROCS}" \
+ MAKEFLAGS="${MAKEFLAGS}" \
+ NINJAJOBS="${NINJAJOBS}" \
+ SPINNER="${SPINNER}" \
+ LFS_DISK="${LFS_DISK}" \
+ LFS_PART="${LFS_PART}" \
+ LFS_FS="${LFS_FS}" \
+ LFS_SWAP="${LFS_SWAP}" \
+ /bin/bash --login +h -c "/sources/insidechroot.sh 10"
+retval=$?
+
+printf "%b" "\n${CYN}EXITED ${RED}CHROOT${RST} ENVIRONMENT...${RST}\n"